# EntityEnterBlockEvent (Scissors-API 1.17.1-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.event.entity, class: EntityEnterBlockEvent

Package org.bukkit.event.entity

# Class EntityEnterBlockEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.EntityEnterBlockEvent

All Implemented Interfaces:
  `Cancellable`

public class EntityEnterBlockEvent extends EntityEvent implements Cancellable
Called when an `Entity` enters a block and is stored in that block.

This event is called for bees entering a bee hive.
It is not called when a silverfish "enters" a stone block. For that listen to the `EntityChangeBlockEvent`.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`EntityEnterBlockEvent(@NotNull Entity entity, @NotNull Block block)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Block`
`getBlock()`
Get the block the entity will enter.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntity, getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EntityEnterBlockEvent

public EntityEnterBlockEvent(@NotNull @NotNull Entity entity, @NotNull @NotNull Block block)

## Method Details

### getBlock

@NotNull public @NotNull Block getBlock()
Get the block the entity will enter.

Returns:
  the block

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()